Skip to content

Partially updates a exam offering with the specified ID.

Request

This method will patch an existing exam offering with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the exam offering to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)

The updated value

]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/examOfferings/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The exam offering was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
additional_location_infostring(Additional Location Info)

Additional location information

addressobject(Address)

A complete address

course_offering_idstring(Course Offering)

The course offering tied to this exam

datestring(Date)required

The date/time of the exam

descriptionstring(Description)

A description for the portal

eligibility_requirementsobject(Eligibility Requirements)required

The criteria to use

enable_eligibility_requirementsboolean(Enable Eligibility Requirements)

If true, this offering is only available to certain individuals

end_timestring(End Time)

The registration date/time

exam_idstring(Exam)required

The exam

fail_letter_idstring(Fail Letter)

The exam notice to send when someone has passed this exam; this overrides the letter specified on the exam

fee_idstring(Fee)

The fee for initial testing

idstring(ID)^[\w|-]+$required

The unique, string identifier of this exam offering

is_activeboolean(Is Active)

Whether this exam is active and available

locationstring(Location)required
Enum:"none""testing facility""training location"
namestring(Name)required

The name of the offering

notesstring(Notes)
pass_letter_idstring(Pass Letter)

The exam notice to send when someone has passed this exam; this overrides the letter specified on the exam

registration_timestring(Registration Time)

The registration date/time

retest_fee_idstring(Retest Fee)

The fee for retake/retest

start_timestring(Start Time)

The registration date/time

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

testing_facility_idstring(Testing Facility)required

The exam testing site

training_location_idstring(Training Location)required

The training facility

typestring(Type)required

The type of exam

Enum:"live""remote proctor"
Response
{ "additional_location_info": "string", "address": { "city": "string", "country": "AD", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "course_offering_id": "string", "date": "string", "description": "string", "eligibility_requirements": { "advanced_rule_error_message": "string", "advanced_rules": {}, "age_restrictions": { … }, "award_options": { … }, "award_recipients": true, "by_location": true, "certificants": true, "certification_options": { … }, "committee_member_options": { … }, "committee_members": true, "custom_logic_options": { … }, "customer_type": "contact", "donor_options": { … }, "donors": true, "enable_advanced_rules": true, "enable_age_restrictions": true, "enable_custom_logic": true, "enable_entitlement_restrictions": true, "enable_expression": true, "enable_organization_restrictions": true, "enable_status_restriction": true, "entitlement_restrictions": [ … ], "event_registration_options": { … }, "event_registrations": true, "expression": "string", "expression_error_message": "string", "location": { … }, "logic_operator": "and", "member_options": { … }, "members": true, "non_members": true, "organization_restrictions": { … }, "status_restrictions": [ … ], "use_organization_for_eligibility": true }, "enable_eligibility_requirements": true, "end_time": "string", "exam_id": "string", "fail_letter_id": "string", "fee_id": "string", "id": "string", "is_active": true, "location": "none", "name": "string", "notes": "string", "pass_letter_id": "string", "registration_time": "string", "retest_fee_id": "string", "start_time": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "testing_facility_id": "string", "training_location_id": "string", "type": "live" }